Loading...
Searching...
No Matches
RDKit::CIPLabeler::Sp2Bond Class Reference

`#include <Sp2Bond.h>`

Inheritance diagram for RDKit::CIPLabeler::Sp2Bond:

## Public Member Functions

| Sp2Bond ()=delete
| Sp2Bond (const CIPMol &mol, Bond *bond, Atom *startAtom, Atom *endAtom, Bond::BondStereo cfg)
void | setPrimaryLabel (Descriptor desc) override
Descriptor | label (const Rules &comp) override
Descriptor | label (Node *root1, Digraph &digraph, const Rules &comp) override
Public Member Functions inherited from RDKit::CIPLabeler::Configuration
| Configuration ()=delete
| Configuration (const CIPMol &mol, Atom *focus)
| Configuration (const CIPMol &mol, std::vector< Atom * > &&foci, bool atropisomerMode=false)
virtual | ~Configuration ()
Atom * | getFocus () const
const std::vector< Atom * > & | getFoci () const
const std::vector< Atom * > & | getCarriers () const
Digraph & | getDigraph ()

## Additional Inherited Members

Static Public Member Functions inherited from RDKit::CIPLabeler::Configuration
template<typename T>
static int | parity4 (const std::vector< T > &trg, const std::vector< T > &ref)
Protected Member Functions inherited from RDKit::CIPLabeler::Configuration
Edge * | findInternalEdge (const std::vector< Edge * > &edges, Atom *f1, Atom *f2)
bool | isInternalEdge (const Edge *edge, Atom *f1, Atom *f2)
void | removeInternalEdges (std::vector< Edge * > &edges, Atom *f1, Atom *f2)
bool | isDuplicateOrHydrogenEdge (const Edge *edge)
void | removeDuplicatesAndHs (std::vector< Edge * > &edges)
void | setCarriers (std::vector< Atom * > &&carriers)

## Detailed Description

Definition at line 18 of file Sp2Bond.h.

## Constructor & Destructor Documentation

## Sp2Bond() [1/2]

RDKit::CIPLabeler::Sp2Bond::Sp2Bond | ( |  | ) |

delete

## Sp2Bond() [2/2]

RDKit::CIPLabeler::Sp2Bond::Sp2Bond | ( | const CIPMol & | mol,
|  | Bond * | bond,
|  | Atom * | startAtom,
|  | Atom * | endAtom,
|  | Bond::BondStereo | cfg )

## Member Function Documentation

## label() [1/2]

Descriptor RDKit::CIPLabeler::Sp2Bond::label | ( | const Rules & | comp | ) |

override virtual

Implements RDKit::CIPLabeler::Configuration.

## label() [2/2]

Descriptor RDKit::CIPLabeler::Sp2Bond::label | ( | Node * | root1,
|  | Digraph & | digraph,
|  | const Rules & | comp )

override virtual

Reimplemented from RDKit::CIPLabeler::Configuration.

## setPrimaryLabel()

void RDKit::CIPLabeler::Sp2Bond::setPrimaryLabel | ( | Descriptor | desc | ) |

override virtual

Implements RDKit::CIPLabeler::Configuration.

The documentation for this class was generated from the following file:

- Sp2Bond.h